package com.rwk.system.domain;

import java.util.List;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.rwk.common.annotation.Excel;
import com.rwk.common.core.domain.BaseEntity;

/**
 * 教育培训对象 rwk_meeting
 * 
 * @author ruoyi
 * @date 2024-12-05
 */
public class RwkMeeting extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 培训名称 */
    @Excel(name = "培训名称")
    private String meetingName;

    /** 培训内容 */
    @Excel(name = "培训内容")
    private String meetingContent;

    /** 培训时间 */
    @Excel(name = "培训时间")
    private String meetingDate;

    /** 培训发起单位 */
    @Excel(name = "培训发起单位")
    private String meetingByCompany;

    /** 培训人员签到信息 */
    private List<RwkMeetingStaff> rwkMeetingStaffList;

    private String startDate;

    private String endDate;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setMeetingName(String meetingName) 
    {
        this.meetingName = meetingName;
    }

    public String getMeetingName() 
    {
        return meetingName;
    }

    public void setMeetingContent(String meetingContent) 
    {
        this.meetingContent = meetingContent;
    }

    public String getMeetingContent() 
    {
        return meetingContent;
    }

    public void setMeetingDate(String meetingDate) 
    {
        this.meetingDate = meetingDate;
    }

    public String getMeetingDate() 
    {
        return meetingDate;
    }

    public void setMeetingByCompany(String meetingByCompany) 
    {
        this.meetingByCompany = meetingByCompany;
    }

    public String getMeetingByCompany() 
    {
        return meetingByCompany;
    }

    public List<RwkMeetingStaff> getRwkMeetingStaffList()
    {
        return rwkMeetingStaffList;
    }

    public void setRwkMeetingStaffList(List<RwkMeetingStaff> rwkMeetingStaffList)
    {
        this.rwkMeetingStaffList = rwkMeetingStaffList;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("meetingName", getMeetingName())
            .append("meetingContent", getMeetingContent())
            .append("meetingDate", getMeetingDate())
            .append("meetingByCompany", getMeetingByCompany())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("rwkMeetingStaffList", getRwkMeetingStaffList())
            .append("startDate", getStartDate())
            .append("endDate", getEndDate())
            .toString();
    }
}
